select
   us4.nr01 as nr01,
   us4.p02  as p01,
   us2.p02  as p02,
   us2.p30  as p30
from us4
LEFT JOIN us2 ON us2.p01=us4.p02
WHERE us4.p01='{np01}'
   && us4.p01<>''
   && us4.nr01<>0
   && us2.nr01 is not null
ORDER BY us4.p02;